Page MenuHomePhabricator

Create a wiki for Wikimedia User Group Nigeria
Open, MediumPublic

Description

Please create wiki for Nigerian Wikimedia user group. This was discussed and approved (today 14-Dec-2019) after internal discussion.

Domain: ng.wikimedia.org
Language: English (en)
Visibility: Public
Type: Fishbowl
SiteName: Wikimedia Nigeria
Timezone: Africa/Lagos
Logo: TBD
Import from: Metawiki
Extensions: Wikieditor
Enable: bureaucrat, admin, interface admin

Meta: Wikimedia User Group Nigeria
AffCom resolution: Affiliations Committee/Resolutions/Recognition Wikimedia User Group Nigeria

Details

Related Gerrit Patches:
operations/puppet : productionAdd ng.wikimedia.org as chapter site
mediawiki/services/restbase/deploy : masterAdd ng.wikimedia.org to domain list
operations/mediawiki-config : masterAdd initial configuration for ng.wikimedia.org
mediawiki/extensions/WikimediaMessages : masterAdd translations for ng.wikimedia project name
operations/dns : masterAdd ng.wikimedia.org

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2019, 10:45 PM
Urbanecm moved this task from Untriaged to Create on the Wiki-Setup board.Dec 14 2019, 11:35 PM
Urbanecm edited projects, added Wiki-Setup (Create); removed Wiki-Setup.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 14 2019, 11:35 PM

@Urbanecm T240772 is a parent task of this as it cannot be accomplished until after this (the subtask) is accomplished. I am not sure why you flipped them.

@Urbanecm T240772 is a parent task of this as it cannot be accomplished until after this (the subtask) is accomplished. I am not sure why you flipped them.

As many other things, storage layer is part of the wiki creation process. In theory, this task should not be closed until that one is finished.

@Ammarpad Was this discussed somewhere?

Urbanecm moved this task from Backlog to GCI on the User-Urbanecm board.
Kaizenify raised the priority of this task from Low to High.Dec 18 2019, 12:24 PM
Ladsgroup lowered the priority of this task from High to Low.Dec 18 2019, 12:27 PM

@Kaizenify Hello, priority is a tool for developers to triage tasks by urgency, difficulty and so on - not to indicate wishes. Creating wiki is quite difficult process, and require cooperation with many teams - and as such, it takes longer time. I think your wiki can be created early January. If you need it earlier for some reason - please explain your needs, but don't touch the priority, please. Thank you for your understanding.

Change 559062 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[operations/dns@master] Add ng.wikimedia.org

https://gerrit.wikimedia.org/r/559062

IAmNetx claimed this task.Dec 18 2019, 2:00 PM

Change 559073 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[operations/puppet@production] Add ng.wikimedia.org as chapter site

https://gerrit.wikimedia.org/r/559073

Change 559218 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[operations/mediawiki-config@master] Add initial configuration for ng.wikimedia.org

https://gerrit.wikimedia.org/r/559218

Ammarpad updated the task description. (Show Details)Dec 19 2019, 6:41 AM

Change 559062 merged by Dzahn:
[operations/dns@master] Add ng.wikimedia.org

https://gerrit.wikimedia.org/r/559062

Change 559565 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[mediawiki/extensions/WikimediaMessages@master] Add translations for ng.wikimedia project name

https://gerrit.wikimedia.org/r/559565

Change 559567 had a related patch set uploaded (by IAmNetx; owner: IAmNetx):
[mediawiki/services/restbase/deploy@master] Add ng.wikimedia.org to domain list

https://gerrit.wikimedia.org/r/559567

We are officially in no-deployment time, creating this wiki is postponed until January

Change 559565 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add translations for ng.wikimedia project name

https://gerrit.wikimedia.org/r/559565

We are officially in no-deployment time, creating this wiki is postponed until January

Hi @Ladsgroup, we're now in January, what's the status of this?

I was waiting for wmf.14 to be deployed, since it has the patch mentioned above, after that I will create the wiki. Probably on Monday.

Dzahn added a comment.Fri, Jan 10, 7:57 PM

https://gerrit.wikimedia.org/r/c/operations/puppet/+/559073 needs to be deployed but we can do that on Monday too.

Dzahn raised the priority of this task from Low to Medium.Fri, Jan 10, 7:57 PM

Change 559567 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add ng.wikimedia.org to domain list

https://gerrit.wikimedia.org/r/559567

Mentioned in SAL (#wikimedia-operations) [2020-01-13T20:21:37Z] <clarakosi@deploy1001> Started deploy [restbase/deploy@bfdd342]: Use parsoid_uri, add ngwiki. T241756, T240771

Mentioned in SAL (#wikimedia-operations) [2020-01-13T20:37:19Z] <clarakosi@deploy1001> Finished deploy [restbase/deploy@bfdd342]: Use parsoid_uri, add ngwiki. T241756, T240771 (duration: 15m 41s)

Change 559073 merged by RLazarus:
[operations/puppet@production] Add ng.wikimedia.org as chapter site

https://gerrit.wikimedia.org/r/559073

To note that we do have a redirect in place from ngWM to ngWP — a closed wikipedia.

Yup, the wiki has not been created yet. It will be fixed soon(TM)